WITH   Gnat.IO ;  USE Gnat.IO;

--
--  Small program
--  not very useful, except as "example"
--  of what can be a program.
--

PROCEDURE   MiniProg  IS
   --L_i : Integer ;--

BEGIN
   ----- LOOP
   FOR L_i in 1..10 LOOP
      Put (   "Hello World"   );   

      IF L_i /= 10 THEN
         Put (   "..."   );
      ELSE
         Put (   "***"   );
      END IF;

      New_Line ;      --- Go to next line
   END LOOP;--for

   New_Line ;
END;
